> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/servoyextensions/server-plugins/ai/openaiembeddingmodelbuilder.md).

# OpenAIEmbeddingModelBuilder

## Overview

OpenAiEmbeddingModelBuilder is a builder for configuring and creating OpenAI embedding models. Allows setting API key and model name for the OpenAI embedding model.

## Methods Summarized

| Type                                                                                                        | Name                                         | Summary                                                                                              |
| ----------------------------------------------------------------------------------------------------------- | -------------------------------------------- | ---------------------------------------------------------------------------------------------------- |
| [OpenAiEmbeddingModelBuilder](/reference/servoyextensions/server-plugins/ai/openaiembeddingmodelbuilder.md) | [apiKey(key)](#apikey-key)                   | Sets the OpenAI API key for the embedding model.                                                     |
| [EmbeddingModel](/reference/servoyextensions/server-plugins/ai/embeddingmodel.md)                           | [build()](#build)                            | Builds and returns an EmbeddingClient configured with the specified OpenAI embedding model settings. |
| [OpenAiEmbeddingModelBuilder](/reference/servoyextensions/server-plugins/ai/openaiembeddingmodelbuilder.md) | [modelName(modelName)](#modelname-modelname) | Sets the OpenAI model name for the embedding model.                                                  |

## Methods Detailed

### apiKey(key)

Sets the OpenAI API key for the embedding model.

**Parameters**

* [String](/reference/servoycore/dev-api/js-lib/string.md) **key** The API key.

**Returns:** [OpenAiEmbeddingModelBuilder](/reference/servoyextensions/server-plugins/ai/openaiembeddingmodelbuilder.md) This builder instance.

### build()

Builds and returns an EmbeddingClient configured with the specified OpenAI embedding model settings.

**Returns:** [EmbeddingModel](/reference/servoyextensions/server-plugins/ai/embeddingmodel.md) A configured EmbeddingClient instance.

### modelName(modelName)

Sets the OpenAI model name for the embedding model.

**Parameters**

* [String](/reference/servoycore/dev-api/js-lib/string.md) **modelName** The model name.

**Returns:** [OpenAiEmbeddingModelBuilder](/reference/servoyextensions/server-plugins/ai/openaiembeddingmodelbuilder.md) This builder instance.

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.servoy.com/reference/servoyextensions/server-plugins/ai/openaiembeddingmodelbuilder.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
